# NewGamePhysics.Physics.DoubleRegularPendulumAcceleration Class Reference

An object defining the acceleration of a 2D double pendulum consisting of two masses connected by a massless rod under influence of gravity. Reference: myphysicslab.com/dbl_pendulum.html. More...

Inheritance diagram for NewGamePhysics.Physics.DoubleRegularPendulumAcceleration:

List of all members.

## Public Member Functions
| DoubleRegularPendulumAcceleration (double l1, double m1, double l2, double m2, double g)
| A constructor of the DoubleRegularPendulum object.
## Properties
double | L1`[get]`
| Returns size of top rod.
double | M1`[get]`
| Returns weight of the top pendulum.
double | L2`[get]`
| Returns size of bottom rod.
double | M2`[get]`
| Returns weight of the bottom pendulum.
double | G`[get, set]`
| Sets the gravitational constant.

## Detailed Description

An object defining the acceleration of a 2D double pendulum consisting of two masses connected by a massless rod under influence of gravity. Reference: myphysicslab.com/dbl_pendulum.html.

Definition at line 19 of file DoubleRegularPendulumAcceleration.cs.

## Constructor & Destructor Documentation

NewGamePhysics.Physics.DoubleRegularPendulumAcceleration.DoubleRegularPendulumAcceleration | ( | double | l1,
|  | double | m1,
|  | double | l2,
|  | double | m2,
|  | double | g |
| ) |  |  |

A constructor of the DoubleRegularPendulum object.

Definition at line 30 of file DoubleRegularPendulumAcceleration.cs.

    00031         {
    00032             this.l1 = l1;
    00033             this.m1 = m1;
    00034             this.l2 = l2;
    00035             this.m2 = m2;
    00036             this.g = g;
    00037         }

## Property Documentation

double NewGamePhysics.Physics.DoubleRegularPendulumAcceleration.G`[get, set]`

Sets the gravitational constant.

Definition at line 87 of file DoubleRegularPendulumAcceleration.cs.

double NewGamePhysics.Physics.DoubleRegularPendulumAcceleration.L1`[get]`

Returns size of top rod.

Definition at line 43 of file DoubleRegularPendulumAcceleration.cs.

double NewGamePhysics.Physics.DoubleRegularPendulumAcceleration.L2`[get]`

Returns size of bottom rod.

Definition at line 65 of file DoubleRegularPendulumAcceleration.cs.

double NewGamePhysics.Physics.DoubleRegularPendulumAcceleration.M1`[get]`

Returns weight of the top pendulum.

Definition at line 54 of file DoubleRegularPendulumAcceleration.cs.

double NewGamePhysics.Physics.DoubleRegularPendulumAcceleration.M2`[get]`

Returns weight of the bottom pendulum.

Definition at line 76 of file DoubleRegularPendulumAcceleration.cs.

The documentation for this class was generated from the following file:

- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/NewGamePhysics/Physics/DoubleRegularPendulumAcceleration.cs